Перейти к содержанию

themaster

Пользователи
  • Публикаций

    29
  • Зарегистрирован

  • Посещение

Репутация

9 Обычный

Информация о themaster

  • Звание
    Посетитель
  • День рождения 25.08.1982

Информация

  • Пол
    Мужчина

Посетители профиля

Блок последних пользователей отключён и не показывается другим пользователям.

  1. Мне надо выполнить кое-какую обработку многострочного текста. Пишу самую простую процедуру выбора этого самого текста: Option Explicit Public app As Nanocad.Application 'NanoCAD application global var Public ThisDrawing As Nanocad.Document 'Active NanoCAD document global var Sub my_drawing() Dim MTxt As AcadMText Dim ChoosedObject As AcadObject Dim Point As Variant Dim i As Integer Set app = GetObject("", "nanoCAD.Application") 'Connect to running nanoCAD app.Visible = True 'Show NanoCAD window Set ThisDrawing = app.ActiveDocument 'Connect to nanoCAD doc ThisDrawing.Utility.GetEntity Ch
  2. Подниму тему. Работаю в Нанокад 8.5, проблема актуальна. В командной строке, если клацнуть по заголовку правой кнопкой, есть пункт "Скрыть": Button.bmp Вопрос: где ответная кнопка "Отобразить"? Единственный вариант, который я нашёл - сброс интерфейса с потерей всех настроек...
  3. Да, конечно. Я ж писал, затык был со скобками. Щас всё работает, как я и хотел.
  4. Ладно, повторю другими словами. Как я писал в первом сообщении, мне постоянно приходится двигать объекты/группы на фиксированные расстояния - 10 мм, 5 мм и так далее. Выбор объектов автоматизировать никак нельзя, по понятным причинам. Но вот объекты выбраны, а дальше - я нажимаю одну и ту же последовательность клавиш: п (перенести) Enter 10,0,0 (пока сейчас набирал это, несколько раз опечатался - рус/англ точка в разных местах, "э" вместо Enter'а, и так далее) Enter Тут меня просят ввести вторую точку, но я вместо этого нажимаю ещё раз Enter - "использовать первую точку в виде перемещени
  5. Может быть, вы будете смеяться, но - да, под все направления я буду писать лиспы :-) Собсна, моя идея в том и есть. Сейчас попробую поколупаться с вашими примерами. В любом случае, спасибо за ответ.
  6. Мне всё-таки кажется, не должен. Всё, что он должен сделать - вбить вместо меня в командную строку фиксированные буковки. Что двигать - знаю я (пользователь), от какой точки и куда - заложено в команде (текущее выделение, на 10 мм, использовать точку в виде перемещения). Или это делается не в виде лиспного скрипта?
  7. Всем добрый день! Есть у меня проблема: постоянно двигаю объекты и группы на чертеже на 10 мм вверх - вниз - влево - вправо. Ну, или на 5 мм, и так далее. Надоело мне опечатываться при наборе, порылся я в яндексе и понял, что правильный ответ - скрипт на лиспе. Сваял это: (defun ml ( command "move" "10,0,0" " " " " ) ) ml - типа, Move Left. Потом, как это заработает, нашлёпаю сколько надо всяких других Move'ов. Вроде, ошибиться негде - а nanocad мне постоянно дулю показывает: ошибка: неверный синтаксис DEFUN: (ML (COMMAND "move" "10,0,0" " " " ")) Подскажите, пожа
  8. Пытаюсь сваять первый простейший скрипт в Нанокаде. У меня есть объект Текст, мне нужно вместо него положить объект МТекст, на тех же координатах, того же размера и так далее. Поскольку знаю только VBA, то и писать надо Visual Basic Script. Первое, что мне нужно сделать - выбрать объект на чертеже. Открываю руководство разработчика, "Справочное руководство nanoCAD ActiveX API", нахожу там раздел 'GetEntity Method', пишу следующий текст: Dim entTxt, entMTxt Dim pt ThisDrawing.Utility.GetEntity entTxt, pt, "Укажите объект" if entTxt.EntityName <> "AcDbText" then ThisDrawing.Uti
  9. Откликаюсь на "глас народа". Только, пожалуйста, не говорите никому, что это я загрузил вам этот файл :-) Заказчику, в принципе, пофигу, но мне просто лень согласовывать передачу файла через десяток начальников, ни один из которых не понимает, нафиг это надо - да и не хочет понимать. Кстати, так и не сообразил, как загружать файл в медиа-библиотеку на сайте :-( Пришлось ваять ссылку на мой Яндекс-диск...
  10. Только что осилил одну проблему, съевшую у меня кусок нервов. Технологи мне постоянно передают схемы, сделанные в автокаде. У них стоит масштаб 1:100, и трубопроводы маркируются многострочным текстом - поверх линии сидят две-три буковки. И они - МТЕКСТ, а не ТЕКСТ, чтобы можно было затенить линию под текстом. В настройках их Автокада указано делать все МТЕКСТы одной колонкой динамической ширины. У них так принято, не мне это менять. А потом файл схемы приходит ко мне. Я открываю файл в Нанокаде, он мне всё отображает - и даже не заикается о наличии какой-то ереси под названием "колонки", ко
  11. Наверное... Там масштаб стоял 1:100, вот и получился текст в 2,5 и в 5 миллиметров. Кто-нибудь из знатоков, может, сможет подсказать, как отредактировать МТЕКСТ во внешнем редакторе? Есть всякие коды форматирования, которые сильно портят жизнь... Если бы их можно было удалить внешним редактором - жить было бы гораздо проще.
  12. Разбить-то я и сам умею... Я вот думаю, может быть, что-то можно сделать с самим текстом? Убрать столбцы, например... В свойствах объекта содержимое следующее: \pxqc;{\W0.9;Локальные очистные сооружения \Pповерхностного стока} Может быть, если убрать мусор сначала (\pxqc;{\W0.9;), то многострочный текст будет вести себя по-человечески? Просто я всякий раз привожу размеры текста в божеский вид, а после операций "сохранить-закрыть-открыть" - всё возвращается обратно. Разобрался: дело явно в столбцах. Осталось понять, как их убрать. В Автокаде - понятно, а вот где соответствующая кнопочк
  13. Жил-был файл некоей технологической схемы в масштабе 1:100. Схема нарисована в пространстве модели, на расстоянии метров тридцати от точки "0". Я смасштабировал схему (уменьшил в 100 раз), затем - заменил рамочку-форматку на блок с многострочными текстами (просто текстами, не атрибутами!), а потом - передвинул всё поближе к точке "0" (так удобнее работать). Сохранил, закрыл, открываю - а многострочные тексты почему-то уехали на те самые 30 метров! Можно зайти в редактор блоков, отредактировать расположение этих текстов - и они вернутся на родину. Потом я сохраняю файл, закрываю его, открываю
  14. Посмотрел. "здесь" написано: чтобы не ругался на отсутствие шрифтов, запиши их куда надо. Записал. Не ругается. Но - отображает кракозяблами. Причём везде (в текстах, в выносках, может, ещё где-то) - отображает нормально, а вот в неразбитой таблице - кракозяблами. Вопрос: лечится ли это?
×
×
  • Создать...